<?php
declare(strict_types=1);

namespace FiloBlu\Refilo\Block\Adminhtml\Synonyms;

use Magento\Backend\Block\Widget\Container;

/**
 *
 */
class RefiloExport extends Container
{
    /**
     * @return RefiloExport
     */
    protected function _prepareLayout()
    {

        $this->buttonList->add(
            'filoblu_refilo_synonyms_export', [
                'id'      => 'filoblu_refilo_synonyms_export',
                'label'   => __('Export'),
                'onclick' => sprintf("setLocation('%s')",
                    $this->getUrl('filoblu_refilo/exporter/synonyms', ['_nosid' => true])
                )
            ]
        );
        return parent::_prepareLayout();
    }

}